#include <annie.h>
#include <iostream>
#include <stdlib.h>
#include <time.h>

using namespace annie;
using namespace std;

int main()
{
  srand48(time(NULL));
  /*  try
    {
      MultiLayerNetwork net(2);
      //net.addLayer(2);
      net.addLayer(1);
      net.connectLayer(0);
      //net.connectLayer(2);
      cout << 1 << endl;
      VECTOR w(2,0);

      net.setWeights(w);
      net.save("before");
      w[0] = .2;
      w[1] = .3;
      cout << 2 << endl;
      net.setWeights(w);
      net.save("after");
      cout << 3 << endl;
    }
  catch(Exception e)
    {
      cout << e.what() << endl;
    }

  */
  try
    {
      ElmanNetwork net(1,1,1);
      TwoLayerNetwork two(1,1,1);
      two.connectAll();
      net.connectAll();
      VECTOR w(5,0);

      w[0] = 0;
      w[1] = 2;
      w[2] = 1;
      w[3] = 0;
      w[4] = -.5;

      
      net.setWeights(w);
      w.resize(4);
      w[0] = 0;
      w[1] = 1;
      w[2] = 0;
      w[3] = -.5;
      two.setWeights(w);

      VECTOR in(1,0);

      in[0] = 0;
      for(int i=0; i<10; i++){
	cout << net.getOutput(in).back() << endl;
      }
      cout << endl;
      for(int i=0; i<10; i++){
	cout << two.getOutput(in).back() << endl;
      }
      net.save("elman");
      two.save("two");
    }
  catch(Exception e)
    {
      cout << e.what() << endl;
    }

  return 0;
}

