#include <TrainingSet.h>
#include <MultiLayerNetwork.h>
#include <Exception.h>

#include <vector>
#include <iostream>


using namespace std;
using namespace annie;


vector<real> real_pair(real a, real b) {
  vector<real> rval;
  rval.push_back(a);
  rval.push_back(b);
  return rval;
}



vector<real> real_single(real a) {
  vector<real> rval;
  rval.push_back(a);
  return rval;
}

int main() {

  try {
  MultiLayerNetwork  test(2);
  test.addLayer(3);
  test.addLayer(1);
 
  test.connectLayer(0);
  test.connectLayer(1);

  TrainingSet ts(2,1);


	real input1[]={0,0}; real output1[]={0};
	real input2[]={1,0}; real output2[]={1};
	real input3[]={0,1}; real output3[]={1};
	real input4[]={1,1}; real output4[]={0};

	

	TrainingSet T(2,1);

  T.addIOpair(real_pair(0,0),real_single(0));
  T.addIOpair(real_pair(0,1),real_single(1));
  T.addIOpair(real_pair(1,0),real_single(1));
  T.addIOpair(real_pair(1,1),real_single(0));

	
  

		//Add the various sample data to the training set
  /*	T.addIOpair(input1,output1);
		T.addIOpair(input2,output2);
		T.addIOpair(input3,output3);
		T.addIOpair(input4,output4);
  */

		int epochs=10000;
		test.train(T,10000,0.8);


  vector<real> bob = real_pair(0,0);

  cout << test.getOutput (input1).back() << endl;
  cout << test.getOutput (input2).back() << endl;
  cout << test.getOutput (input3).back() << endl;
  cout << test.getOutput (input4).back() << endl;

  test.save("test.sav");

  }
 
  catch (Exception &e) {
     cout << e.what() << endl;
  }

  return 0;
}
