#include "../include/ComplexLayerNetwork.h"
#include "../include/Exception.h"
#include "../include/SimpleNeuron.h"
#include "../include/File.h"

#include <fstream>

using namespace std;
namespace annie
{
  
ComplexLayerNetwork::ComplexLayerNetwork(const char *filename) : MultiLayerNetwork(0)
{
  loadFromFile(filename);
}
 
bool 
ComplexLayerNetwork::checkConnection(int srcLayer, int srcNrn, int dstLayer, int destNrn)
{
 if (srcLayer < 0)
   return false;
 if (dstLayer <= srcLayer)
   return false;
 if (dstLayer > getLayerCount())
   return false;

  return true;
}

const char *
ComplexLayerNetwork::getClassName() 
{
  return "ComplexLayerNetwork"; 
}
}; //namespace annie
